/*
 Copyright (C) 1995-1997 The Hungry Programmers - hungry@hungry.com 
 
 This program is free software; you can redistribute it and/or modify 
 it under the terms of the GNU General Public License as published by 
 the Free Software Foundation; either version 2 of the License, or 
 (at your option) any later version. 
 
 This program is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 GNU General Public License for more details. 
 
 You should have received a copy of the GNU General Public License 
 along with this program; if not, write to the Free Software 
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

#ifndef XCUTBUFFER_H_INCLUDED
#define XCUTBUFFER_H_INCLUDED


#define Position XtPosition

#include <stdio.h>
#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
//#include <X11/IntrinsicP.h>

#undef Position


void hook_up_guile_XCutBuffer ();


class XCutBuffer
{
    int natoms;
    Atom *atom;
    Display *dpy;
    Window root;

    Atom get_atom (int n, int ifexists);
    void store_buffer (char *p, int nb, Atom atom);
    char *fetch_buffer (Atom a, unsigned long int *nb);

public:
    XCutBuffer (Display *set_dpy);
    ~XCutBuffer();

    char *doget (int n, unsigned long int *nb);
    void doset(int n, char *ptr, int nb);
};

#endif // XCUTBUFFER_H_INCLUDED


