; Copyright (C) 1997 The Hungry Programmers - hungry@hungry.com
;
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



;;;;;;;;;;;
;; insert
;;;;;;;;;;;

(define (insert-img-fsb-ok widget client-data call-data)
  (clear-selected-area)
  (let* ((file-name (fsb-get-file-name widget))
	 (tag-text (string-append "<img src="
				  file-name
				  ">"))
	 (top (xword-window.insert-tag xw tag-text cur-tag-attr)))
    (xword-window.scroll-to-cursor xw)
    (xword-window.redraw xw top))
  (xt-destroy-widget (xt-parent (xt-parent widget))))


(define (insert-img doc)
  (file-selection-box "Insert Image" (pwd) insert-img-fsb-ok (list #t)))

; (show-fsb)
; (xt-remove-all-callbacks fsb (xm-n-ok-callback))
; (xt-remove-all-callbacks fsb (xm-n-cancel-callback))
; (xt-add-callback fsb (xm-n-ok-callback) insert-img-fsb-ok (list #f))
; (xt-add-callback fsb (xm-n-cancel-callback) insert-img-fsb-cancel (list #f)))
