/*
 Copyright (C) 1995-1997 The Hungry Programmers - hungry@hungry.com

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
  


#ifndef __ATTR_TYPES_INCLUDED__
#define __ATTR_TYPES_INCLUDED__

typedef enum
{
    FS_low = 1,
    FS_high = 2,
    FS_center = 3,
    FS_fill = 4
} Attr_FillStyle;


typedef enum
{
    DIR_lr = 5, /* left to right */
    DIR_ud = 6, /* up to down */
    DIR_rl = 7, /* right to left */
    DIR_du = 8 /* down to up */
} Attr_Direction;


typedef enum
{
    SP_be_as_large_as_allowed = 9,
    SP_stay_the_same_size = 10,
    SP_stay_small = 11
} Attr_SizePolicy;


typedef enum
{
    OP_push_to_next = 12,
    OP_create_a_new_container = 13
} Attr_OverFlowPolicy;


typedef enum
{
  TAG_unknown = 14,
  TAG_br = 15,
  TAG_hr = 16,
  TAG_img = 17
} Attr_Tag;

#endif /* __ATTR_TYPES_INCLUDED__ */
