/*
 Copyright (C) 1995-1997 The Hungry Programmers - hungry@hungry.com 
 
 This program is free software; you can redistribute it and/or modify 
 it under the terms of the GNU General Public License as published by 
 the Free Software Foundation; either version 2 of the License, or 
 (at your option) any later version. 
 
 This program is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 GNU General Public License for more details. 
 
 You should have received a copy of the GNU General Public License 
 along with this program; if not, write to the Free Software 
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

/* utils.h */

/* Collect the entire set! */

/*#include <stdlib.h>*/ /* can't have both stdlib and unistd under irix? */
/*#include <unistd.h>*/
#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <X11/Xlib.h>
#include <sys/stat.h>
#include <fcntl.h>


#include "Container.h"

XChar2b xk_to_2b (KeySym xk);
KeySym xc2b_to_xk (XChar2b c);
char *find_the_file (char *filename);
void size_scratch (char **scratch, int *max, int needed);

void parse_stream (char *buf,
		   int *read_point,
		   int *write_point,
		   /**/
		   int *start,
		   int *end,
		   Container_Type *ct,
		   int bts);

char *skip_ws (char *p, char *end);
char *skip_to_ws (char *p, char *end);
char *skip_to_char_or_ws (char *p, char c, char *end);
char *skip_to_char2_or_ws (char *p, char c1, char c2, char *end);

char *itoa (int i);
int Iabs (int i);
int ceil (double d);
int highbit (unsigned long ul);
int file_exists (char *fn);
int file_readable (char *fn);
